[Overview][Types][Classes][Index] | Reference for unit 'StringHashList' (#lcl)

# TStringHashList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: stringhashlist.pas line 45

`type TStringHashList = class(TObject)`
`protected`
`function HashOf();` |  |
`procedure Insert();` |  |
`public`
`constructor Create();` |  |
`destructor Destroy; override;` |  |
`function Add();` |  |
`procedure Clear;` |  |
`function Find();` |  |
`function Remove();` |  |
`property CaseSensitive: Boolean; [rw]` |  |
`property Count: Integer; [r]` |  |
`property Data: Pointer; default; [rw]` |  |
`property List: PStringHashItemList; [r]` |  |
`end;`

## Inheritance

`TStringHashList` |  |
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.